blob: 0449ae62a542c4b810fae27c3c6847b374da7c5a [file] [log] [blame]
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit kde5
DESCRIPTION="Framework for reading, creation, and manipulation of various archive formats"
LICENSE="GPL-2 LGPL-2.1"
KEYWORDS="amd64 ~arm x86"
IUSE="+bzip2 +lzma"
RDEPEND="
bzip2? ( app-arch/bzip2 )
lzma? ( app-arch/xz-utils )
sys-libs/zlib
"
DEPEND="${RDEPEND}"
PATCHES=( "${FILESDIR}/${PN}-5.21.0-CVE-2016-6232.patch" )
RESTRICT="test"
src_configure() {
local mycmakeargs=(
$(cmake-utils_use_find_package bzip2 BZip2)
$(cmake-utils_use_find_package lzma LibLZMA)
)
kde5_src_configure
}